Bug 377841 - Should gnupg2 require kde-filesystem?
Should gnupg2 require kde-filesystem?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 09:45 EST by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 09:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-11-12 09:45:26 EST
Description of problem:
gnupg2 puts some scripts in /etc/kde:
/etc/kde/env/gpg-agent-startup.sh
/etc/kde/shutdown/gpg-agent-shutdown.sh

/etc/kde/ is owned by kde-filesystem. But gnupg2 doesn't require it. If you 
remove gnupg2 the directory /etc/kde will stay unowned in the filesystem.


Version-Release number of selected component (if applicable):
gnupg2-2.0.6-2.fc7

How reproducible:
ever

Steps to Reproduce:
1. Install gnupg2
2. Make sure, kde-filesystem is not installed 
3. remove gnupg2
  
Actual results:
/etc/kde/{env,shutdown} stay in the filesystem

Expected results:
After the removal no unowned directories should remain.
Comment 1 Rex Dieter 2007-11-12 09:54:15 EST
righto,

* Mon Nov 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.0.7-4
- Requires: kde-filesystem (#377841)

Note You need to log in before you can comment on or make changes to this bug.